POSTapi.synup.com/api/v4/locations/reviews/respond/archive
Archive Response for Interaction
Archive any response provided for any existing Interaction
Requires an API key. Send it as
Authorization: API <your-key> — see Getting started.Parameters
Body
| Name | Type | Required | Description |
|---|---|---|---|
responseId | string | required | Response ID |
Request
Request
curl -X POST 'https://api.synup.com/api/v4/locations/reviews/respond/archive' \
-H 'Authorization: API YOUR_API_KEY' \
-H 'Content-Type: application/json' \
-d '{
"responseId": "2090753a-ece6-4837-8336-8494ad308523"
}'const res = await fetch('https://api.synup.com/api/v4/locations/reviews/respond/archive', {
method: 'POST',
headers: {
Authorization: 'API YOUR_API_KEY',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"responseId": "2090753a-ece6-4837-8336-8494ad308523"
}),
});
const data = await res.json();import requests
res = requests.post(
"https://api.synup.com/api/v4/locations/reviews/respond/archive",
headers={
"Authorization": "API YOUR_API_KEY",
"Content-Type": "application/json",
},
json={
"responseId": "2090753a-ece6-4837-8336-8494ad308523"
},
)
data = res.json()req, _ := http.NewRequest("POST", "https://api.synup.com/api/v4/locations/reviews/respond/archive", bytes.NewBufferString(payload))
req.Header.Set("Authorization", "API YOUR_API_KEY")
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)Responses
| Status | Description |
|---|---|
200 | Response successfully posted |
Example response
"{\n \"data\": {\n \"archiveResponse\": {\n \"status\": \"true\",\n }\n }\n}"Response body
| Name | Type | Required | Description |
|---|---|---|---|
data | object | optional | |
data.archiveResponse | object | optional | |
data.archiveResponse.status | boolean | optional |